import { createSlice } from "@reduxjs/toolkit";

 
const initialState = {
  user: {
    email:"",
    photo:"",
    name:""
  },
};

export const userSlice = createSlice({
  name: "user_info",
  initialState,
  reducers: {
    setUser: (state, action) => {
      state.user = action.payload;
    },
  },
});

export const { setUser } = userSlice.actions;
export const userReducer = userSlice.reducer;